QuattroParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
QuattroParserInternal::State Struct Reference

the state of QuattroParser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType, char const *password)
| constructor More...
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style More...
bool | getColor (int id, WPSColor &color) const
| returns a color corresponding to an id More...
WPSFont | getDefaultFont () const
| returns a default font (Courier12) with file's version to define the default encoding */ More...

## Public Attributes
libwps_tools_win::Font::Type | m_fontType
| the user font type More...
int | m_version
| the file version More...
int | m_actualSheet
| the actual sheet More...
std::vector< Font > | m_fontsList
| the font list More...
std::vector< WPSColor > | m_colorsList
| the color list More...
std::map< int, librevenge::RVNGString > | m_idToFileNameMap
| map id to filename More...
std::map< int, std::pair< librevenge::RVNGString, WKSContentListener::FormulaInstruction > > | m_idToFieldMap
| map id to field More...
WPSPageSpan | m_pageSpan
| the actual document size More...
int | m_actPage
| the actual page More...
int | m_numPages
librevenge::RVNGString | m_headerString
| the header string More...
librevenge::RVNGString | m_footerString
| the footer string More...
char const * | m_password
| the password (if known) More...
bool | m_isEncrypted
| true if the file is encrypted More...
bool | m_isDecoded
| true if the main stream has been decoded More...

## Private Member Functions
| State (State const &)=delete
State & | operator= (State const &)=delete

## Detailed Description

the state of QuattroParser

## Constructor & Destructor Documentation

## ◆ State() [1/2]

QuattroParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType,
|  | char const * | password
| ) |  |
| inlineexplicit

constructor

## ◆ State() [2/2]

QuattroParserInternal::State::State | ( | State const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ getColor()

bool QuattroParserInternal::State::getColor | ( | int | id,
|  | WPSColor & | color
| ) |  | const

returns a color corresponding to an id

## ◆ getDefaultFont()

WPSFont QuattroParserInternal::State::getDefaultFont | ( |  | ) | const
| inline

returns a default font (Courier12) with file's version to define the default encoding */

## ◆ getDefaultFontType()

libwps_tools_win::Font::Type QuattroParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## ◆ operator=()

State& QuattroParserInternal::State::operator= | ( | State const & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_actPage

int QuattroParserInternal::State::m_actPage

the actual page

## ◆ m_actualSheet

int QuattroParserInternal::State::m_actualSheet

the actual sheet

## ◆ m_colorsList

std::vector<WPSColor> QuattroParserInternal::State::m_colorsList

the color list

Referenced by getColor().

## ◆ m_fontsList

std::vector<Font> QuattroParserInternal::State::m_fontsList

the font list

## ◆ m_fontType

libwps_tools_win::Font::Type QuattroParserInternal::State::m_fontType

the user font type

## ◆ m_footerString

librevenge::RVNGString QuattroParserInternal::State::m_footerString

the footer string

## ◆ m_headerString

librevenge::RVNGString QuattroParserInternal::State::m_headerString

the header string

## ◆ m_idToFieldMap

std::map<int, std::pair<librevenge::RVNGString,WKSContentListener::FormulaInstruction> > QuattroParserInternal::State::m_idToFieldMap

map id to field

## ◆ m_idToFileNameMap

std::map<int, librevenge::RVNGString> QuattroParserInternal::State::m_idToFileNameMap

map id to filename

## ◆ m_isDecoded

bool QuattroParserInternal::State::m_isDecoded

true if the main stream has been decoded

## ◆ m_isEncrypted

bool QuattroParserInternal::State::m_isEncrypted

true if the file is encrypted

## ◆ m_numPages

int QuattroParserInternal::State::m_numPages

## ◆ m_pageSpan

WPSPageSpan QuattroParserInternal::State::m_pageSpan

the actual document size

## ◆ m_password

char const* QuattroParserInternal::State::m_password

the password (if known)

## ◆ m_version

int QuattroParserInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- Quattro.cpp